Bug 57097 - Typo on page 62
Typo on page 62
Status: CLOSED CURRENTRELEASE
Product: eCos
Classification: Retired
Component: Component Writer's Guide (Show other bugs)
CVS
All Linux
low Severity low
: ---
: ---
Assigned To: Bart Veer
Bart Veer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-04 13:57 EST by Patrick Doyle
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 07:20:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Doyle 2001-12-04 13:57:25 EST
Description of Problem:


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Read page 62 of the document (in the section labeled "An Introduction 
to Tcl")
2. Find the part that discusses the 'expr' command
3. Look at what the example says that the result of 6 * 9 is 

Actual Results:
The document claims the Tcl interpreter will display "The answer is 42"

Expected Results:
I would have expected that the Tcl interpreter would display "The answer 
is 54"

Additional Information:
I just thought you might want to know.
Comment 1 Andrew Lunn 2001-12-06 04:53:08 EST
"Seven and a half million years our race has waited for this Great and Hopefully
Enlightening Day!" cried the cheerleader. "The Day of the Answer!"..."Never
again will we wake up in the morning and think Who am I? What is my purpose in
life? Does it really, cosmically speaking, matter if I don't get up and go to
work?  For today we will finally learn once and for all the plain and simple
answer to all those nagging little problems of Life, the Universe and Everything!"

...the large computer terminal sat in sparkling glory on the desk's leather top,
as bright as if it had been constructed yesterday.

..."Shhh...I think Deep Thought is preparing to speak!"

..."The Answer to the Great Question...Of Life, the Universe and
Everything...Is...Forty-two," said Deep Thought, with infinate majesty and calm.

..."Forty-two!" yelled Loonquawl. "Is that all you have to show for seven and a
half million years' work?"

"I checked it quite thoroughly," said the computer, "and that quite definately
is the answer. I think the problem...is that you've never actually known what
the question is."

"But it was the great question!..."howled Loonquawl.

"Yes," said Deep Thought with the air of one who suffers fools gladly, "but what
actually is it?"

"Well, you know, it's just Everything..." offered Phouchg weakly.

"Exactly!" said Deep Thought. "So once you do know what the question actually
is, you'll know what the answer means."
(exc
Comment 2 Patrick Doyle 2001-12-06 07:20:08 EST
Thank you.  I get the joke :-) I guess I didn't realize the the Tcl interpreter 
was as sophisticated as Deep Thought.  My mistake.
Comment 3 Bart Veer 2001-12-07 12:20:04 EST
Andrew's response is correct but not quite complete. 42 is indeed the answer
to the ultimate question. However as revealed later on the ultimate question
is "What do you get when you multiply six by nine?" Hence it is
"expr 6 * 9" that should evaluate to 42.

I have added a note to the documentation explaining that some versions of the
Tcl interpreter may instead produce a result of 54, but that 42 is in fact
the correct answer together with a suitable URL. The HTML on sources.redhat.com
has been updated, and the PDF will follow in due course. Hence I am
closing this report as "fixed in current release".



Note You need to log in before you can comment on or make changes to this bug.